LibreOffice: XBitmap Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XBitmap Interface Reference

This is a generic interface to a bitmap. More...

`import "XBitmap.idl";`

Inheritance diagram for XBitmap:

## Public Member Functions
::com::sun::star::geometry::IntegerSize2D | getSize ()
| Query the size of the bitmap.
boolean | hasAlpha ()
| Query transparency status of the bitmap.
XBitmap | getScaledBitmap ([in] ::com::sun::star::geometry::RealSize2D newSize, [in] boolean beFast) raises (com::sun::star::lang::IllegalArgumentException, VolatileContentDestroyedException)
| Query a scaled copy of the original bitmap.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

This is a generic interface to a bitmap.

This interface contains the generic functionality to be used on every XCanvas bitmap object. More format-specific methods can be found at the XIntegerBitmap, XIeeeDoubleBitmap, XIeeeFloatBitmap and XHalfFloatBitmap interfaces.

Since
  OOo 2.0

## Member Function Documentation

## ◆ getScaledBitmap()

XBitmap getScaledBitmap | ( | [in] ::com::sun::star::geometry::RealSize2D | newSize,
|  | [in] boolean | beFast )
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | VolatileContentDestroyedException ) |  |  |

Query a scaled copy of the original bitmap.

Parameters

  newSize | Requested size of the new bitmap. Both of the two size components must be greater than zero.
  beFast | When set to true, this parameter advises getScaledBitmap to use the fastest available algorithm to scale the bitmap, which might cause visible artifacts.

Returns
  the new scaled bitmap.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the size components are outside the specified range.
  VolatileContentDestroyedException | if the contents of a volatile bitmap have been destroyed, and thus cannot be read to generate the scaled bitmap.

## ◆ getSize()

::com::sun::star::geometry::IntegerSize2D getSize | ( |  | ) |

Query the size of the bitmap.

This method queries the bitmap size in pixel.

Returns
  the bitmap size in pixel.

## ◆ hasAlpha()

boolean hasAlpha | ( |  | ) |

Query transparency status of the bitmap.

The method checks, whether the bitmap contains any alpha information. The same information is also available at the XColorSpace associated with this bitmap, though much easier to access here (the color space then has a component flagged ColorComponentTag::ALPHA).

Returns
  TRUE, if the bitmap has alpha data, or FALSE if not.

The documentation for this interface was generated from the following file:

- com/sun/star/rendering/XBitmap.idl